import request from "@/utils/request";
// 分组列表
export function getGroupListApi(query) {
  return request({
    url: "/ht/sc/report/getGroupInfo",
    method: "get",
    params: query,
  });
}
// 分组-新增
export function addGroupApi(data) {
  return request({
    url: "/sc/group/ht",
    method: "post",
    data: data,
  });
}
// 分组-编辑
export function updateGroupApi(data) {
  return request({
    url: "/sc/group/ht",
    method: "put",
    data: data,
  });
}
// 分级-详情
export function getGroupDetailsApi(id) {
  return request({
    url: `/sc/group/ht/${id}`,
    method: "get",
  });
}
// 分组-删除
export function deleteGroupApi(ids) {
  return request({
    url: `/sc/group/ht/${ids}`,
    method: "delete",
  });
}
// 分组-年级班级树状
export function getGradeClassTreeApi(query) {
  return request({
    url: "/sc/grade/ht/getGradeClassInfo",
    method: "get",
    params: query,
  });
}
// 分组-学校年级班级树状
export function getTenantGradeClassTreeApi(query) {
  return request({
    url: "/sc/grade/getTenantGradeList",
    method: "get",
    params: query,
  });
}
//分组-获取已加入小组成员
export function getAlreadyAddStuApi(query) {
  return request({
    url: "/sc/group/ht/getAlreadyAddStu",
    method: "get",
    params: query,
  });
}
export function getNotJoinStuInfoApi(query) {
  return request({
    url: "/sc/group/ht/getNotJoinStuInfo",
    method: "get",
    params: query,
  });
}
